Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155742 - CAN-2005-0953 bzip2 race condition
Summary: CAN-2005-0953 bzip2 race condition
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: bzip2
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Jiri Ryska
QA Contact: Ben Levenson
URL:
Whiteboard: impact=low,public=20050330,source=bug...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-22 17:47 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-474
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-13 15:18:19 UTC


Attachments (Terms of Use)
Proposed patch from Steve Grubb (deleted)
2005-04-29 14:01 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:474 normal SHIPPED_LIVE Low: bzip2 security update 2005-06-16 04:00:00 UTC

Description Josh Bressers 2005-04-22 17:47:27 UTC
Race condition in bzip2 1.0.2 and earlier allows local users to modify
permissions of arbitrary files via a hard link attack on a file while it is
being decompressed, whose permissions are changed by bzip2 after the
decompression is complete.

http://marc.theaimsgroup.com/?l=bugtraq&m=111229375217633&w=2

Comment 1 Josh Bressers 2005-04-22 17:50:53 UTC
This issue should also affect RHEL3 and RHEL2.1

Comment 2 Josh Bressers 2005-04-29 14:01:04 UTC
Created attachment 113842 [details]
Proposed patch from Steve Grubb

Comment 3 Josh Bressers 2005-06-16 17:58:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-474.html


Comment 4 Red Hat Bugzilla 2006-02-13 15:18:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-474.html



Note You need to log in before you can comment on or make changes to this bug.